# DataTableGridLayerStack (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common.datatable

## Class DataTableGridLayerStack

- java.lang.Object
- - org.eclipse.nebula.widgets.nattable.layer.AbstractLayer
  - - org.eclipse.nebula.widgets.nattable.layer.CompositeLayer
    - - org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer
      - - org.deidentifier.arx.gui.view.impl.common.datatable.DataTableGridLayer
        - - org.deidentifier.arx.gui.view.impl.common.datatable.DataTableGridLayerStack

- All Implemented Interfaces:
    org.eclipse.nebula.widgets.nattable.layer.ILayer, org.eclipse.nebula.widgets.nattable.layer.ILayerListener, org.eclipse.nebula.widgets.nattable.persistence.IPersistable

      public class DataTableGridLayerStack
      extends DataTableGridLayer

  A grid layer stack for the data view.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.nebula.widgets.nattable.layer.CompositeLayer

      `org.eclipse.nebula.widgets.nattable.layer.CompositeLayer.CompositeLayerPainter`

  - ### Field Summary

    - ### Fields inherited from class org.deidentifier.arx.gui.view.impl.common.datatable.DataTableGridLayer

      `bodyDataLayer, columnHeaderDataLayer, cornerDataLayer, rowHeaderDataLayer`

    - ### Fields inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

      `layerPainter`

    - ### Fields inherited from interface org.eclipse.nebula.widgets.nattable.persistence.IPersistable

      `DOT, VALUE_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTableGridLayerStack(org.eclipse.nebula.widgets.nattable.data.IDataProvider bodyDataProvider, org.eclipse.nebula.widgets.nattable.NatTable table, DataTableContext context, org.eclipse.swt.widgets.Control parent)` Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.common.datatable.DataTableGridLayer

      `getBodyDataLayer, getBodyLayer, getColumnHeaderDataLayer, getColumnHeaderLayer, getCornerDataLayer, getCornerLayer, getRowHeaderDataLayer, getRowHeaderLayer, init, init`

    - ### Methods inherited from class org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer

      `doCommand, doCommandOnChildLayers, init, registerCommandHandlers, setBodyLayer, setColumnHeaderLayer, setCornerLayer, setRowHeaderLayer, toString`

    - ### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.CompositeLayer

      `addConfigLabelAccumulatorForRegion, configure, dispose, getBoundsByPosition, getCellByPosition, getCellPainter, getChildLayerByLayoutCoordinate, getChildLayerByRegionName, getColumnCount, getColumnIndexByPosition, getColumnPositionByX, getColumnPositionOffset, getColumnWidthByPosition, getConfigLabelAccumulatorByRegionName, getConfigLabelsByPosition, getDataValueByPosition, getDisplayModeByPosition, getHeight, getHeightOffset, getLayoutXByColumnPosition, getLayoutXByPixelX, getLayoutXCount, getLayoutXYByChildLayer, getLayoutXYByPixelXY, getLayoutXYByPosition, getLayoutYByPixelY, getLayoutYByRowPosition, getLayoutYCount, getPreferredColumnCount, getPreferredHeight, getPreferredRowCount, getPreferredWidth, getRegionLabelsByXY, getRowCount, getRowHeightByPosition, getRowIndexByPosition, getRowPositionByY, getRowPositionOffset, getStartXOfColumnPosition, getStartYOfRowPosition, getUnderlyingLayerByPosition, getUnderlyingLayersByColumnPosition, getUnderlyingLayersByRowPosition, getWidth, getWidthOffset, isColumnPositionResizable, isRowPositionResizable, loadState, localToUnderlyingColumnPosition, localToUnderlyingRowPosition, saveState, setChildLayer, setConfigLabelAccumulatorForRegion, underlyingToLocalColumnPosition, underlyingToLocalColumnPositions, underlyingToLocalRowPosition, underlyingToLocalRowPositions`

    - ### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

      `addConfiguration, addLayerListener, clearConfiguration, fireLayerEvent, getClientAreaProvider, getConfigLabelAccumulator, getLayerPainter, getRegionName, handleLayerEvent, hasLayerListener, registerCommandHandler, registerEventHandler, registerPersistable, removeLayerListener, setClientAreaProvider, setConfigLabelAccumulator, setLayerPainter, setRegionName, unregisterCommandHandler, unregisterEventHandler, unregisterPersistable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataTableGridLayerStack

          public DataTableGridLayerStack(org.eclipse.nebula.widgets.nattable.data.IDataProvider bodyDataProvider,
                                 org.eclipse.nebula.widgets.nattable.NatTable table,
                                 DataTableContext context,
                                 org.eclipse.swt.widgets.Control parent)

      Creates a new instance.
      Parameters:
        `bodyDataProvider` -
        `table` -
        `context` -
        `parent` -